/******************************************************************************\
|*                                                                            *|
|*                           FaceCell Matcher 1.1                             *|
|*                                                                            *|
|* FccMatcherParams.h                                                         *|
|* FccMatcher parameters definition                                           *|
|*                                                                            *|
|* Copyright (C) 2006-2007 Neurotechnologija                                  *|
|*                                                                            *|
\******************************************************************************/

#ifndef FCC_MATCHER_PARAMS_H_INCLUDED
#define FCC_MATCHER_PARAMS_H_INCLUDED

#include <NParameters.h>

#ifdef N_CPP
extern "C"
{
#endif

// main parameters

#define FCCMP_NAME         10 ///< Static, Readonly, String | Returns name of the library
#define FCCMP_VERSION_HIGH 11 ///< Static, Readonly, UInt   | Returns high part of the library version
#define FCCMP_VERSION_LOW  12 ///< Static, Readonly, UInt   | Returns low part of the library version
#define FCCMP_COPYRIGHT    13 ///< Static, Readonly, String | Returns copyright of the library

#define FCCMP_MATCHING_THRESHOLD 10000 ///< Double | [0, 1] Matching threshold

#ifdef N_CPP
}
#endif

#endif // !FCC_MATCHER_PARAMS_H_INCLUDED
