#pragma once
#include "afxcmn.h"
#include "afxwin.h"


// CAboutDialog dialog

class CAboutDialog : public CDialog
{
	DECLARE_DYNAMIC(CAboutDialog)

public:
	CAboutDialog(CWnd* pParent = NULL);   // standard constructor
	virtual ~CAboutDialog();

// Dialog Data
	enum { IDD = IDD_ABOUT_DIALOG };

private:
	int m_compCount;
	CString m_title[10];
	CString m_version[10];
	CString m_registered[10];
	CString m_copyright[10];
public:
	void ClearComponents();
	void AddComponent(CString name, CString version, CString isRegistered, CString copyright);
	void AddComponent(NLibraryInfo *li, CString isRegistered);
	void AddComponent(wchar_t *filename);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

public:
	CListCtrl m_comp;
	CButton m_button;
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
};
